@file:Suppress("UnstableApiUsage")

enableFeaturePreview("TYPESAFE_PROJECT_ACCESSORS")

pluginManagement {
    val buildId: String by settings
    repositories {
        maven { url = uri("https://repo1.maven.org/maven2/") }
        maven { url = uri("https://dl.google.com/dl/android/maven2/") }
        google()
        mavenCentral()
        maven { url = uri("https://maven.pkg.jetbrains.space/public/p/kotlinx-html/maven/") }
        maven { url = uri("https://androidx.dev/storage/compose-compiler/repository/") }
        maven { url = uri("https://maven.pkg.jetbrains.space/public/p/compose/dev") }
        maven { url = uri("https://oss.sonatype.org/content/repositories/snapshots/") }
        maven { url = uri("https://jitpack.io/") }
        gradlePluginPortal()
        maven { url = uri("https://developer.huawei.com/repo/") }
        // maven {
        //     url = uri("https://androidx.dev/snapshots/builds/$buildId/artifacts/repository")
        // }
        // flatDir { dirs("libs") }
    }
}

dependencyResolutionManagement {
    val buildId: String by settings
    repositoriesMode.set(RepositoriesMode.FAIL_ON_PROJECT_REPOS)
    repositories {
        maven { url = uri("https://repo1.maven.org/maven2/") }
        maven { url = uri("https://dl.google.com/dl/android/maven2/") }
        google()
        mavenCentral()
        maven { url = uri("https://maven.pkg.jetbrains.space/public/p/kotlinx-html/maven/") }
        maven { url = uri("https://androidx.dev/storage/compose-compiler/repository/") }
        maven { url = uri("https://maven.pkg.jetbrains.space/public/p/compose/dev") }
        maven { url = uri("https://oss.sonatype.org/content/repositories/snapshots/") }
        maven { url = uri("https://jitpack.io/") }
        gradlePluginPortal()
        maven { url = uri("https://developer.huawei.com/repo/") }
        // maven {
        //     url = uri("https://androidx.dev/snapshots/builds/$buildId/artifacts/repository")
        // }
        // flatDir { dirs("libs") }
    }
}

rootProject.name = "AIChat"
// 主工程
include(":app")
